﻿@model IEnumerable<MvcWebsiteOcc.Models.Language>
@{
    ViewBag.Title = "Ngôn ngữ";
    ViewBag.Description = "ngon ngu";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}
@using (Html.BeginForm())
{
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="table-toolbar">
                        <a href="/administrators/website_manager/languages_add" class="btn btn-blue"><i class="fa fa-plus"></i>Thêm mới</a>
                        <button type="button" class="btn btn-danger pull-right" data-toggle="modal" data-target="#modal-danger"><i class="fa fa-times"></i>Xóa</button>
                    </div>
                    <table class="table table-striped table-bordered table-hover" id="bang_6">
                        <thead>
                            <tr>
                                <th style="width: 25px;">
                                    <label class="checker">
                                        <input type="checkbox" class="group-checkable" data-set="#flip .checkboxes">
                                        <span class="text"></span>
                                    </label>
                                </th>
                                <th>Ảnh</th>
                                <th>Mã ngôn ngữ</th>
                                <th>Tên ngôn ngữ</th>
                                <th>Vị trí</th>
                                <th style="width: 25px;">Sửa</th>
                            </tr>
                        </thead>
                        <tbody>
                            @{if (Model.Count() > 0)
                              {
                                  foreach (var item in Model)
                                  {
                                <tr>
                                    <td>
                                        <label>
                                            <input type="checkbox" class="checkboxes" name="itemID" value="@item.Lang_ID">
                                            <span class="text"></span>
                                        </label>
                                    </td>
                                    <td>
                                        <img class="slogan_img" src="/Uploaded/Images/language/@item.Lang_Flag"></td>
                                    <td>@item.Lang_Code</td>
                                    <td>@item.Lang_Name</td>
                                    <td>
                                        @{if (item.IsDefault == true)
                                          {
                                            <span class='label label-sm label-success'>Mặc định</span> 
                                          }}
                                    </td>
                                    <td>
                                        <a href="/administrators/website_manager/languages_edit/@item.Lang_ID" class="btn btn-info btn-sm edit"><i class="fa fa-edit"></i></a>
                                    </td>
                                </tr> 
                                  }
                              }
                           
                            }
                        </tbody>
                    </table>
                  
                </div>
            </div>
        </div>
    </div>

    <div class="modal fade modal-message modal-danger" id="modal-danger" aria-hidden="false" style="">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <i class="glyphicon glyphicon-fire"></i>
                </div>
                <div class="modal-title">
                    Thông báo
                </div>
                <div class="modal-body">
                    Bạn chắc chắn muốn xóa !
                </div>
                <div class="modal-footer">
                    <button data-dismiss="modal" type="button" class="btn btn-default" name="deleteOK" value="NO">No</button>
                    <button class="btn btn-danger " type="submit" name="deleteOK" value="OK">Ok</button>

                </div>
            </div>
        </div>
    </div>
}
@section PageScripts{
    <link href="/Static/admin/assets/css/dataTables.bootstrap.css" rel="stylesheet" />
    <script src="/Static/admin/assets/js/datatable/jquery.dataTables.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/ZeroClipboard.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.tableTools.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/dataTables.bootstrap.min.js"></script>
    <script src="/Static/admin/assets/js/datatable/datatables-init.js"></script>
    <script>
        bang6.init();
        $(document).ready(function () {
            $("#websites").addClass("active open");
            $("#langs").addClass("active");
        });

    </script>

}
